/* basics */
:root{
  --black:#000;
  --darker:#333;
  --dark:#666;
  --darkgrey:#999;
  --grey:#ccc;
  --lightgrey:#e8e8e8;
  --white:#fff;
  --darkred:#300;
  --darkgreen:#030;
}
*,html{overflow-x:none;pointer-events:inherit;}
body,form{margin:0;padding:0;}
.clear{clear:both;}

/* desktop */
body{font-family:sans-serif;letter-spacing:1.5px;color:var(--black);font-size:18px;line-height:24px;font-weight:400;}
.bodybg{background:url('bg.jpg') no-repeat;background-attachment:fixed;background-size:cover;display:grid;align-items:center;justify-content:center;height:100vh;background-color:var(--lightgrey);background-blend-mode:luminosity;}
h1{text-align:center;text-transform:uppercase;font-weight:bold;letter-spacing:-4px;margin-bottom:1em;}
#cover1,#cover2{position:fixed;top:0;z-index:999;height:100vh;width:50vw;background-color:var(--grey);}
#cover1{left:0;}
#cover2{right:0;}
.cover1hide{margin-left:-50vw;transition:all 0.5s 1.5s ease-in-out;}
.cover2hide{margin-right:-50vw;transition:all 0.5s 1.5s ease-in-out;}
#wrapper{width:auto;height:auto;border:0;position:absolute;top:0;display:inline-block;}
.wrapperfx{border-radius:10px;background-color:rgba(255,255,255,0.8);overflow:hidden;padding:0.5em 1.5em 1.5em 1.5em;}
#grid{font-size:0.75em;padding:0.5em;float:left;border:1px solid var(--darker);background-color:var(--black);color:var(--white);box-shadow:0 0 0 8px inset rgba(255,255,255,0.15);transition:all 0.15s ease-in-out;}
#grid>.box{width:18px;height:24px;margin:0;float:left;text-align:center;}
#buttons{margin-top:1.5em;padding-left:31%;}
.button{width:8em;float:left;border:1px solid var(--black);border-radius:2em;font-size:0.8em;text-transform:uppercase;margin:6px 0 2px 0;padding:6px 8px 8px 8px;text-align:center;cursor:pointer;transition:all 0.15s ease-in-out;}
.button::first-letter{font-weight:bold;border-bottom:2px solid currentColor;}
.btnnew{background-color:var(--black);color:var(--white);margin-right:1em;}
.btnnew:hover{background-color:var(--darker);border-color:var(--darker);}
.blinkon{background-color:var(--darker) !important;}
.endgame{background-color:var(--darkred) !important;}
.wingame{background-color:var(--darkgreen) !important;}
#lvl{width:2.5em;height:1.55em;border:1px solid var(--black);border-radius:20px;float:left;text-align:center;padding-top:0.4em;margin:8px 14px 0 0;}
